org.keycloak.models.jpa.entities

## Class RealmEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.RealmEntity

-     @Entity
      public class RealmEntity
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `accessCodeLifespan`
    `protected int` | `accessCodeLifespanUserAction`
    `protected int` | `accessTokenLifespan`
    `protected String` | `accountTheme`
    `protected String` | `adminTheme`
    `protected String` | `certificatePem`
    `protected String` | `codeSecret`
    `protected Collection<RoleEntity>` | `defaultRoles`
    `protected String` | `emailTheme`
    `protected boolean` | `enabled`
    `protected boolean` | `eventsEnabled`
    `protected long` | `eventsExpiration`
    `protected Set<String>` | `eventsListeners`
    `protected String` | `id`
    `protected String` | `loginTheme`
    `protected ApplicationEntity` | `masterAdminApp`
    `protected String` | `name`
    `protected int` | `notBefore`
    `protected boolean` | `passwordCredentialGrantAllowed`
    `protected String` | `passwordPolicy`
    `protected String` | `privateKeyPem`
    `protected String` | `publicKeyPem`
    `protected boolean` | `registrationAllowed`
    `protected boolean` | `rememberMe`
    `protected boolean` | `resetPasswordAllowed`
    `protected Map<String,String>` | `smtpConfig`
    `protected boolean` | `social`
    `protected Map<String,String>` | `socialConfig`
    `protected String` | `sslRequired`
    `protected boolean` | `updateProfileOnInitialSocialLogin`
    `protected boolean` | `verifyEmail`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealmEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRole(RoleEntity role)`
    `int` | `getAccessCodeLifespan()`
    `int` | `getAccessCodeLifespanUserAction()`
    `int` | `getAccessTokenLifespan()`
    `String` | `getAccountTheme()`
    `String` | `getAdminTheme()`
    `Collection<ApplicationEntity>` | `getApplications()`
    `Collection<RealmAttributeEntity>` | `getAttributes()`
    `String` | `getCertificatePem()`
    `String` | `getCodeSecret()`
    `Collection<RoleEntity>` | `getDefaultRoles()`
    `String` | `getEmailTheme()`
    `long` | `getEventsExpiration()`
    `Set<String>` | `getEventsListeners()`
    `String` | `getId()`
    `String` | `getLoginTheme()`
    `ApplicationEntity` | `getMasterAdminApp()`
    `String` | `getName()`
    `int` | `getNotBefore()`
    `String` | `getPasswordPolicy()`
    `String` | `getPrivateKeyPem()`
    `String` | `getPublicKeyPem()`
    `Collection<RequiredCredentialEntity>` | `getRequiredCredentials()`
    `Collection<RoleEntity>` | `getRoles()`
    `Map<String,String>` | `getSmtpConfig()`
    `Map<String,String>` | `getSocialConfig()`
    `String` | `getSslRequired()`
    `int` | `getSsoSessionIdleTimeout()`
    `int` | `getSsoSessionMaxLifespan()`
    `List<UserFederationProviderEntity>` | `getUserFederationProviders()`
    `boolean` | `isEnabled()`
    `boolean` | `isEventsEnabled()`
    `boolean` | `isPasswordCredentialGrantAllowed()`
    `boolean` | `isRegistrationAllowed()`
    `boolean` | `isRememberMe()`
    `boolean` | `isResetPasswordAllowed()`
    `boolean` | `isSocial()`
    `boolean` | `isUpdateProfileOnInitialSocialLogin()`
    `boolean` | `isVerifyEmail()`
    `void` | `setAccessCodeLifespan(int accessCodeLifespan)`
    `void` | `setAccessCodeLifespanUserAction(int accessCodeLifespanUserAction)`
    `void` | `setAccessTokenLifespan(int accessTokenLifespan)`
    `void` | `setAccountTheme(String theme)`
    `void` | `setAdminTheme(String adminTheme)`
    `void` | `setApplications(Collection<ApplicationEntity> applications)`
    `void` | `setAttributes(Collection<RealmAttributeEntity> attributes)`
    `void` | `setCertificatePem(String certificatePem)`
    `void` | `setCodeSecret(String codeSecret)`
    `void` | `setDefaultRoles(Collection<RoleEntity> defaultRoles)`
    `void` | `setEmailTheme(String emailTheme)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setEventsEnabled(boolean eventsEnabled)`
    `void` | `setEventsExpiration(long eventsExpiration)`
    `void` | `setEventsListeners(Set<String> eventsListeners)`
    `void` | `setId(String id)`
    `void` | `setLoginTheme(String theme)`
    `void` | `setMasterAdminApp(ApplicationEntity masterAdminApp)`
    `void` | `setName(String name)`
    `void` | `setNotBefore(int notBefore)`
    `void` | `setPasswordCredentialGrantAllowed(boolean passwordCredentialGrantAllowed)`
    `void` | `setPasswordPolicy(String passwordPolicy)`
    `void` | `setPrivateKeyPem(String privateKeyPem)`
    `void` | `setPublicKeyPem(String publicKeyPem)`
    `void` | `setRegistrationAllowed(boolean registrationAllowed)`
    `void` | `setRememberMe(boolean rememberMe)`
    `void` | `setRequiredCredentials(Collection<RequiredCredentialEntity> requiredCredentials)`
    `void` | `setResetPasswordAllowed(boolean resetPasswordAllowed)`
    `void` | `setRoles(Collection<RoleEntity> roles)`
    `void` | `setSmtpConfig(Map<String,String> smtpConfig)`
    `void` | `setSocial(boolean social)`
    `void` | `setSocialConfig(Map<String,String> socialConfig)`
    `void` | `setSslRequired(String sslRequired)`
    `void` | `setSsoSessionIdleTimeout(int ssoSessionIdleTimeout)`
    `void` | `setSsoSessionMaxLifespan(int ssoSessionMaxLifespan)`
    `void` | `setUpdateProfileOnInitialSocialLogin(boolean updateProfileOnInitialSocialLogin)`
    `void` | `setUserFederationProviders(List<UserFederationProviderEntity> userFederationProviders)`
    `void` | `setVerifyEmail(boolean verifyEmail)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### name

          protected String name

    - #### enabled

          protected boolean enabled

    - #### sslRequired

          protected String sslRequired

    - #### registrationAllowed

          protected boolean registrationAllowed

    - #### passwordCredentialGrantAllowed

          protected boolean passwordCredentialGrantAllowed

    - #### verifyEmail

          protected boolean verifyEmail

    - #### resetPasswordAllowed

          protected boolean resetPasswordAllowed

    - #### social

          protected boolean social

    - #### rememberMe

          protected boolean rememberMe

    - #### updateProfileOnInitialSocialLogin

          protected boolean updateProfileOnInitialSocialLogin

    - #### passwordPolicy

          protected String passwordPolicy

    - #### accessTokenLifespan

          protected int accessTokenLifespan

    - #### accessCodeLifespan

          protected int accessCodeLifespan

    - #### accessCodeLifespanUserAction

          protected int accessCodeLifespanUserAction

    - #### notBefore

          protected int notBefore

    - #### publicKeyPem

          protected String publicKeyPem

    - #### privateKeyPem

          protected String privateKeyPem

    - #### certificatePem

          protected String certificatePem

    - #### codeSecret

          protected String codeSecret

    - #### loginTheme

          protected String loginTheme

    - #### accountTheme

          protected String accountTheme

    - #### adminTheme

          protected String adminTheme

    - #### emailTheme

          protected String emailTheme

    - #### smtpConfig

          protected Map<String,String> smtpConfig

    - #### socialConfig

          protected Map<String,String> socialConfig

    - #### defaultRoles

          protected Collection<RoleEntity> defaultRoles

    - #### eventsEnabled

          protected boolean eventsEnabled

    - #### eventsExpiration

          protected long eventsExpiration

    - #### eventsListeners

          protected Set<String> eventsListeners

    - #### masterAdminApp

          protected ApplicationEntity masterAdminApp

  - ### Constructor Detail

    - #### RealmEntity

          public RealmEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### getSslRequired

          public String getSslRequired()

    - #### setSslRequired

          public void setSslRequired(String sslRequired)

    - #### isPasswordCredentialGrantAllowed

          public boolean isPasswordCredentialGrantAllowed()

    - #### setPasswordCredentialGrantAllowed

          public void setPasswordCredentialGrantAllowed(boolean passwordCredentialGrantAllowed)

    - #### isRegistrationAllowed

          public boolean isRegistrationAllowed()

    - #### setRegistrationAllowed

          public void setRegistrationAllowed(boolean registrationAllowed)

    - #### isRememberMe

          public boolean isRememberMe()

    - #### setRememberMe

          public void setRememberMe(boolean rememberMe)

    - #### isVerifyEmail

          public boolean isVerifyEmail()

    - #### setVerifyEmail

          public void setVerifyEmail(boolean verifyEmail)

    - #### isResetPasswordAllowed

          public boolean isResetPasswordAllowed()

    - #### setResetPasswordAllowed

          public void setResetPasswordAllowed(boolean resetPasswordAllowed)

    - #### isSocial

          public boolean isSocial()

    - #### setSocial

          public void setSocial(boolean social)

    - #### isUpdateProfileOnInitialSocialLogin

          public boolean isUpdateProfileOnInitialSocialLogin()

    - #### setUpdateProfileOnInitialSocialLogin

          public void setUpdateProfileOnInitialSocialLogin(boolean updateProfileOnInitialSocialLogin)

    - #### getSsoSessionIdleTimeout

          public int getSsoSessionIdleTimeout()

    - #### setSsoSessionIdleTimeout

          public void setSsoSessionIdleTimeout(int ssoSessionIdleTimeout)

    - #### getSsoSessionMaxLifespan

          public int getSsoSessionMaxLifespan()

    - #### setSsoSessionMaxLifespan

          public void setSsoSessionMaxLifespan(int ssoSessionMaxLifespan)

    - #### getAccessTokenLifespan

          public int getAccessTokenLifespan()

    - #### setAccessTokenLifespan

          public void setAccessTokenLifespan(int accessTokenLifespan)

    - #### getAccessCodeLifespan

          public int getAccessCodeLifespan()

    - #### setAccessCodeLifespan

          public void setAccessCodeLifespan(int accessCodeLifespan)

    - #### getAccessCodeLifespanUserAction

          public int getAccessCodeLifespanUserAction()

    - #### setAccessCodeLifespanUserAction

          public void setAccessCodeLifespanUserAction(int accessCodeLifespanUserAction)

    - #### getPublicKeyPem

          public String getPublicKeyPem()

    - #### setPublicKeyPem

          public void setPublicKeyPem(String publicKeyPem)

    - #### getPrivateKeyPem

          public String getPrivateKeyPem()

    - #### setPrivateKeyPem

          public void setPrivateKeyPem(String privateKeyPem)

    - #### getCodeSecret

          public String getCodeSecret()

    - #### setCodeSecret

          public void setCodeSecret(String codeSecret)

    - #### getRequiredCredentials

          public Collection<RequiredCredentialEntity> getRequiredCredentials()

    - #### setRequiredCredentials

          public void setRequiredCredentials(Collection<RequiredCredentialEntity> requiredCredentials)

    - #### getApplications

          public Collection<ApplicationEntity> getApplications()

    - #### setApplications

          public void setApplications(Collection<ApplicationEntity> applications)

    - #### getRoles

          public Collection<RoleEntity> getRoles()

    - #### setRoles

          public void setRoles(Collection<RoleEntity> roles)

    - #### addRole

          public void addRole(RoleEntity role)

    - #### getSmtpConfig

          public Map<String,String> getSmtpConfig()

    - #### setSmtpConfig

          public void setSmtpConfig(Map<String,String> smtpConfig)

    - #### getSocialConfig

          public Map<String,String> getSocialConfig()

    - #### setSocialConfig

          public void setSocialConfig(Map<String,String> socialConfig)

    - #### getDefaultRoles

          public Collection<RoleEntity> getDefaultRoles()

    - #### setDefaultRoles

          public void setDefaultRoles(Collection<RoleEntity> defaultRoles)

    - #### getPasswordPolicy

          public String getPasswordPolicy()

    - #### setPasswordPolicy

          public void setPasswordPolicy(String passwordPolicy)

    - #### getLoginTheme

          public String getLoginTheme()

    - #### setLoginTheme

          public void setLoginTheme(String theme)

    - #### getAccountTheme

          public String getAccountTheme()

    - #### setAccountTheme

          public void setAccountTheme(String theme)

    - #### getAdminTheme

          public String getAdminTheme()

    - #### setAdminTheme

          public void setAdminTheme(String adminTheme)

    - #### getEmailTheme

          public String getEmailTheme()

    - #### setEmailTheme

          public void setEmailTheme(String emailTheme)

    - #### getNotBefore

          public int getNotBefore()

    - #### setNotBefore

          public void setNotBefore(int notBefore)

    - #### isEventsEnabled

          public boolean isEventsEnabled()

    - #### setEventsEnabled

          public void setEventsEnabled(boolean eventsEnabled)

    - #### getEventsExpiration

          public long getEventsExpiration()

    - #### setEventsExpiration

          public void setEventsExpiration(long eventsExpiration)

    - #### getEventsListeners

          public Set<String> getEventsListeners()

    - #### setEventsListeners

          public void setEventsListeners(Set<String> eventsListeners)

    - #### getMasterAdminApp

          public ApplicationEntity getMasterAdminApp()

    - #### setMasterAdminApp

          public void setMasterAdminApp(ApplicationEntity masterAdminApp)

    - #### getUserFederationProviders

          public List<UserFederationProviderEntity> getUserFederationProviders()

    - #### setUserFederationProviders

          public void setUserFederationProviders(List<UserFederationProviderEntity> userFederationProviders)

    - #### getAttributes

          public Collection<RealmAttributeEntity> getAttributes()

    - #### setAttributes

          public void setAttributes(Collection<RealmAttributeEntity> attributes)

    - #### getCertificatePem

          public String getCertificatePem()

    - #### setCertificatePem

          public void setCertificatePem(String certificatePem)

Copyright © 2015. All Rights Reserved.